| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# csutil/formatter.h File Reference

Object-oriented, templated readers and writers for formatted values similar to scanf() and printf() but more functional. More...

`#include "cssysdef.h"`
`#include "csgeom/math.h"`
`#include "csutil/csuctransform.h"`
`#include "csutil/dirtyaccessarray.h"`
`#include "csutil/util.h"`

Go to the source code of this file.

## Classes
class | csFmtDefaultReader< T >
| Standard format string source for csPrintfFormatter. More...
class | csFmtDefaultWriter< T >
| Standard formatted string destination for csPrintfFormatter. More...
class | csPrintfFormatter< Twriter, Treader >
| Templated class for printf()-style string formatting. More...

## Detailed Description

Object-oriented, templated readers and writers for formatted values similar to scanf() and printf() but more functional.

Definition in file formatter.h.